<?
$corec = $_SERVER['DOCUMENT_ROOT'];
require_once $corec.'/sys/inc/core.php';
only_reg();

$set['title']='Архив сообщений';

require_once $corec.'/sys/inc/thead.php';
title();
err();
switch ($p){


default:
case 'buy':
$id=(int)$_GET['id'];
if(!$id){echo 'Пустые параметры!';break;};
$x=mysql_query("SELECT * FROM `mail` WHERE `id`='$id'");
if(!mysql_num_rows($x)){echo 'EROR';break;};
$x=mysql_fetch_assoc($x);
if (isset($user) && mysql_result(mysql_query("SELECT COUNT(*) FROM `mail` WHERE (`id_user` = '$user[id]' OR `id_kont` = '$user[id]') AND `id` = '".intval($x['id'])."' LIMIT 1"),0)>0)
{
mysql_query("INSERT INTO `arxiv` (`id_ank`, `time`, `msg`) values('$user[id]', '$time', '$x[msg]')");
header('Location: arhiv.php?'.SID);exit;
}else{ 
echo "Ошибка! Ваш аккаунт заблокирован администратором :: SpLeK"; 
}
break;
};
require_once $corec.'/sys/inc/tfoot.php';
?>